Skip to main content
PATCH
Update a base

Authorizations

Authorization
string
header
required

Path Parameters

baseId
string
required

The Developer ID of the base to update

Body

application/json
name
string

The new name of the base

Minimum string length: 1
newDeveloperId
string

The new Developer ID of the base

Minimum string length: 1
githubRepo
string

The name of the GitHub repo to attach to the base, in the form 'owner/repo'. Attaching a repo also kicks off a scan of it.

Minimum string length: 1

Response

Returns the updated base

id
string
required

The Developer ID of the base

name
string
required

The name of the base

githubConnection
object | null
required

The GitHub connection for the base, or null if none exists

scan
object | null
required

The scan started by connecting a GitHub repo in this request, or null if none was started